System.ServiceModel 4.0.0.0 System.Object System.IDisposable

You get a request context from an . Each encapsulates the information required to reply to the request, so that you do not have to block on the channel when waiting for each request message to receive a reply.

In the request/reply model, the object is the link between the request that comes in and the reply that goes out. When the server receives a request, it provides a instance that represents the request to the channel. The request context contains the original request message among other useful properties. This request context is then stashed inside the for retrieval by your service. You typically use the property to access the request of the current operation.

The value of the can be null. Because the role of the request context is to link requests to replies, it does not make sense to have a request context when you do not have a reply, and so in this case the context is set to null. For a one-way operation on top of the request/reply model, the server receives requests but does not send back a response to the client. So if the is null unexpectedly, check first whether the operation contract is IsOneWay.

Special note for Managed C++ users deriving from this class:

Put your cleanup code in (On)(Begin)Close (and/or OnAbort), not in a destructor.

Avoid destructors: they cause the compiler to auto-generate .

Avoid non-reference members: they can cause the compiler to auto-generate .

Avoid finalizers; but if you include one, you should suppress the build warning and call and the finalizer itself from (On)(Begin)Close (and/or OnAbort) to emulate what would have been the auto-generated behavior.

Provides a reply that is correlated to an incoming request.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void To be added.

  When overridden in a derived class, aborts processing the request associated with the context.

- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  Use the asynchronous method when the application processing must continue without waiting. Use one of the synchronous methods when it is acceptable for the current thread to be blocked while it replies to the request message or until the time-out interval is exceeded.

  This method receives notification, through a callback, of the identity of the event handler for the operation. The operation is not complete until either the reply is sent or the time-out occurs.

  When overridden in a derived class, begins an asynchronous operation to reply to the request associated with the current context.

  The that references the asynchronous reply operation.

  The incoming that contains the request. The delegate that receives the notification of the asynchronous reply operation completion. An object, specified by the application, that contains state information associated with the asynchronous reply operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` ``

  Use the asynchronous method to allow the application processing to continue without waiting for the request to complete.

  Use one of the synchronous methods when it is acceptable for the current thread to be blocked while it replies to the request message or until the time-out interval is exceeded. This method receives notification, through a callback, of the identity of the event handler for the operation. The operation is not complete until either the reply is sent or the time-out occurs.

  When overridden in a derived class, begins an asynchronous operation to reply to the request associated with the current context within a specified interval of time.

  The that references the asynchronous reply operation.

  The incoming that contains the request. The that specifies the interval of time to wait for the reply to an available request. The delegate that receives the notification of the asynchronous reply operation completion. An object, specified by the application, that contains state information associated with the asynchronous reply operation.
- Method
  4.0.0.0
  System.Void To be added.

  When overridden in a derived class, closes the operation that is replying to the request context associated with the current context.

- Method
  4.0.0.0
  System.Void `` To be added.

  When overridden in a derived class, closes the operation that is replying to the request context associated with the current context within a specified interval of time.

  The that specifies the interval of time within which the reply operation associated with the current context must close.
- Method
  4.0.0.0
  System.Void `` To be added.

  Releases resources associated with the context.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  4.0.0.0
  System.Void `` To be added.

  When overridden in a derived class, completes an asynchronous operation to reply to a request message.

  The returned by a call to one of the methods.
- Method
  4.0.0.0
  System.Void ``

  Use when it is acceptable for the current thread to be blocked while it replies to the request message. The thread is blocked up to the specified .

  If the application processing must continue without waiting for the reply to complete, use the asynchronous method. This method receives notification, through a callback, of the identity of the event handler for the operation. The operation is not complete until either a message becomes available in the channel or the time-out occurs.

  When overridden in a derived class, replies to a request message.

  The incoming that contains the request.
- Method
  4.0.0.0
  System.Void `` ``

  Use when it is acceptable for the current thread to be blocked while it replies to the request message. The thread is blocked up to the specified .

  If the application processing must continue without waiting for the reply to complete, use the asynchronous method. This method receives notification, through a callback, of the identity of the event handler for the operation. The operation is not complete until either a message becomes available in the channel or the time-out occurs.

  When overridden in a derived class, replies to a request message within a specified interval of time.

  The incoming that contains the request. The that specifies the interval of time to wait for the reply to a request.
- Property
  4.0.0.0
  System.ServiceModel.Channels.Message To be added. To be added.

  When overridden in a derived class, gets the message that contains the request.

- Method
  4.0.0.0
  System.Void To be added.

  Releases both managed and unmanaged resources associated with the context.